import { create } from "zustand";
import { devtools } from "zustand/middleware";


export type UiTools = {
    openedModalSettingsId: string | null;
    dragQuestionContentId: string | null;
    openBranchingPanel: boolean;
    desireToOpenABranchingModal: string | null;
    editSomeQuestion: string | null;
};

const initialState: UiTools = {
    openedModalSettingsId: null as null,
    dragQuestionContentId: null,
    openBranchingPanel: false,
    desireToOpenABranchingModal: null as null,
    editSomeQuestion: null as null,
};

export const useUiTools = create<UiTools>()(
    devtools(
        () => initialState,
        {
            name: "UiTools",
            enabled: process.env.NODE_ENV === "development",
            trace: process.env.NODE_ENV === "development",
        }
    )
);
